Subject: Re: [bug#53704] Bump

From: Charles <[email-masked]>
Date: Sun, 27 Feb 2022 00:19:22 +0000

What are the next steps for this project? Do the licensing issues make it not allowed to be in guix?

------- Original Message -------

On Saturday, February 12th, 2022 at 5:45 PM, Charles <[email-masked]> wrote:

> Thanks for the review, Maxime! That is a lot of stuff I did not know about. Your new version of the patch works for me except for the (list (local-file part which I think should be (search-patches.
>
> What should I do about the library code duplication and licensing issues? Should I bring it upu with the project maintainers?
>
> ------- Original Message -------
>
> On Saturday, February 12th, 2022 at 7:31 AM, Maxime Devos [email-masked] wrote:
>
> > Hi,
> >
> > I've modified the package definition and patch a bit to
> >
> > make it simpler (visualboyadvance-m-fix-rpath.patch now only removed
> >
> > things), cross-compilable (it uses cc-for-target instead of hardcoding
> >
> > "gcc" and LIBRARY_PATH is unused) and avoid using constructs that
> >
> > are being deprecated (%build-inputs --> this-package-input).
> >
> > The list+local-file will have to be replaced by search-patches.
> >
> > Cross-compilation is untested because gtk+ cannot currently be
> >
> > cross-compiled.
> >
> > It seems to work, at least the application starts, I don't have any VBA
> >
> > games to test it with.
> >
> > Greetings,
> >
> > Maxime.